/*
 * LinuxTables.h
 *
 * Copyright (C) 2000 Karim Yaghmour (karym@opersys.com).
 *
 * This is distributed under GPL.
 *
 * Tables for data for the trace toolkit.
 *
 * History : 
 *    K.Y., 31/05/2000, Initial typing.
 */

/* Event structure sizes */
extern int LinuxEventStructSize[];

/* Event description strings */
extern char *LinuxEventID[];

/* Event strings the user can specify at the command line to omit or trace */
extern char *LinuxEventOT[];

/* System call name according to it's ID for i386 */
extern char *LinuxI386SyscallID[];

/* Trap according to it's ID  for i386 */
extern char *LinuxI386TrapID[];

/* System call name according to it's ID for PPC */
extern char *LinuxPPCSyscallID[];

/* Trap according to it's ID for PPC */
extern char *LinuxPPCTrapID[];

